.border_bottom {
    border-bottom: 2px solid #f4f4f4;
}

.dataTables_processing {
    border: 0px;
    /*background-color :#0b057a;
	z-index: 100*/
}

.pointer {
    cursor: pointer;
}

.header-custom {
    background-image: -webkit-gradient(linear, left top, right top, from(#20b9ae), to(#006fd6));
    color: white;
}

.ui-autocomplete-loading {
    background: white url("../../plugins/autocomplete/loader2.gif") right center no-repeat;
}

.ui-autocomplete-loader-center {
    background: white url("../../plugins/autocomplete/loader1.gif") center center no-repeat;
}

.font-italic {
    font-style: italic !important;
}

.bg-dream-blue {
    background-image: -webkit-gradient(linear, left top, right top, from(#20b9ae), to(#006fd6));
    color: white;
}

.bg-dream-red {
    background-color: #f40404d6;
    color: white;
}

.bg-dream-green {
    background-color: green;
    color: white;
}

.bg-dream-purple {
    background-color: #a612a6;
    color: white;
}

.bg-dream-pink {
    background-color: #D81B60;
    color: white;
}

.bg-dream-maroon {
    background-color: #058ef2;
    color: white;
}

/**/

.skin-blue .main-header .navbar {
    transition: .5s;
    background-color: #fff;
    color: #359980 !important;
    padding: 5px;
}



.skin-blue .main-header .logo {
    transition: .5s;
    color: #fff;
    background-color: #0b057a !important;
    font-weight: bold !important;
    font-size: 25px;
    padding: 0;
    margin: 5px;
}

.skin-blue .main-header .navbar .sidebar-toggle {
    background-color: #0b057a !important;
    color: #fff;
    border-radius: 10px;
    margin-top: 0% !important;
}

/* .skin-blue .main-header .navbar .sidebar-toggle:hover */
/* { */
/* background-color: #0b057ab9 !important; */
/* } */

.skin-blue .sidebar a,
.skin-blue .sidebar i {
    color: #0b057a !important;
}

.skin-blue .main-header .navbar .nav>li>a,
.skin-blue .main-header .navbar .sidebar-toggle {
    transition: .5s;
}

.col-margin {
    margin: 0 7%;
}

.small-box {
    display: flex !important;
    flex-direction: column !important;
    border-radius: 20px;
    background-color: #fff !important;
    overflow: hidden;
    color: #0b057a !important;
    padding: 10px 20px;
    transition: .3s;
    border: 4px solid #eee;
}

.small-box .icon i {
    font-size: 60px;
}

.sidebar-menu a {
    background-color: inherit;
    display: flex;
    flex-direction: column !important;
}

.users-active-li a {
    margin: 0 !important;
    padding: 2% 1% !important;
}

.sidebar-menu .users-active-li i {
    color: #fff !important;
}

.sidebar-menu .users-active-li p {
    color: #29abe2;
}

.sidebar-menu .treeview-menu {
    max-width: 80%;
    background-color: #f4f5f9 !important;
    margin: 0 8% !important;
    border-radius: 10px;
}

.sidebar-menu .treeview-menu>li.active {
    font-weight: bold !important;
    transform: translateX(-8px);
    color: #0b057a !important;
    margin-left: 0 !important;
}

.sidebar-menu .treeview-menu>li.active a {
    font-weight: bold !important;
    transform: translateX(-5px);
    color: #0b057a !important;
    margin-left: 0 !important;
}

.sidebar-menu .treeview-menu>li a {
    transition: .3s;
}

.sidebar-menu .treeview-menu>li a:hover {
    font-size: 1.7rem !important;
    transform: translateX(-8px);
}

.sidebar-menu .treeview-menu a i {
    color: #29abe2 !important;
    font-size: 1.6rem;
    text-align: start;
}

.sidebar-menu .treeview-menu a span {
    color: #29abe2 !important;
    font-size: 1.5rem !important;
}

.small-box>.small-box-footer {
    background-color: #0b057a;
    color: #0b057a !important;
    font-weight: bold;
}

.small-box>.small-box-footer:hover {
    background-color: #fff !important;
}

.small-box>.small-box-footer i {
    color: #0b057a;
}

.small-box p {
    font-weight: bold;
    font-size: 18px;
}

.small-box i {
    color: #0b057a;
}

.small-box:hover {
    /* transform: scale(1) rotate(2deg); */
    transform: scale(1.02);
    border: 4px solid #0b057a;
}

.sidebar {
    margin-top: 10px;
    background-color: #0b057a;
    border-radius: 20px 20px 20px 20px;
    margin-left: 1%;
    margin-right: 1%;
    direction: rtl !important;
    max-width: 19vw;
    min-width: 14vh;

}

.sidebar[dir='rtl'] {
    border-radius: 20px 0 0 20px !important;

}

.sidebar-menu i {
    font-size: 3rem;
    padding-bottom: 2%;
}

.sidebar-menu>li {
    font-size: 15px;
    transition: .5s;

}

.sidebar-menu li:hover a {
    color: #29abe2 !important;
}

.sidebar-menu li.users-active-li:hover a .fs {
    background-color: #fff !important;
    color: #29abe2 !important;
    border-radius: 50%;
    width: 29% !important;
    min-height: 100% !important;
    font-size: 3rem;
    padding: 5%;
    transition: all .3s;
}

.sidebar-menu .treeview-menu li:hover a i,
.sidebar-menu .treeview-menu li:hover a span {
    font-size: 1.6rem !important;
    background-color: #f4f4f9 !important;
}

.sidebar-menu li a {
    color: #fff !important;
    text-align: center;
}

.sidebar-menu>li a {
    transition: .2s;

}

.skin-blue .sidebar-menu>li.active>a,
.skin-blue .sidebar-menu>li:hover.active>a {
    background-color: #0b057a;
    border: 0;
    border-radius: 25px;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    color: #fff !important;
    font-weight: bold !important;
    margin: 0 7px 0 0;
}

.skin-blue .sidebar-menu>li.active>a span {
    font-weight: bold;
}

.skin-blue .treeview-menu>li.active>a span,
.skin-blue .treeview-menu>li:hover>a span {
    font-weight: bold;
}

.box {
    margin: 0 2%;
}

 .sidebar:hover .display_none {
     position: relative !important;
     opacity: 1 !important;
 }

/*.hover_sidebar .display_none {
    position: relative !important;
    opacity: 1;
}*/

.sidebar:hover .margintop {
    margin-top: 0 !important;
}

.skin-blue .sidebar-menu>li>a,
.skin-blue .sidebar-menu>li>a:hover {
    margin: 5px;
    border: 0;
    font-size: 14px;
    padding: 10px 30px;
    margin: 0 7px 5px 0 !important;
}

.skin-blue .sidebar-menu>li.active>a i {
    background-color: #fff;

}

.skin-blue .sidebar-menu>li.active>a i,
.skin-blue .sidebar-menu>li:hover.active>a i {
    background-color: #fff !important;
    color: #29abe2 !important;
    border-radius: 50%;
    width: 50px !important;
    min-height: 100% !important;
    font-size: 2.5rem;
    padding: 5%;
    transition: all .3s;
}

.skin-blue .sidebar-menu>li:hover>a {
    padding: 5% !important;
    background-color: #0b057a;
    border: 0;
    border-radius: 25px;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    color: #fff !important;
    margin: 5px;
}

.skin-blue .sidebar-menu>li:hover>a i {
    color: #29abe2 !important;
}

.navbar-nav>.user-menu>.dropdown-menu>li.user-header {
    background-color: #0b057a;

}

.navbar-custom-menu>.navbar-nav>li {
    color: #0b057a;
}

.navbar-custom-menu>.navbar-nav>li a {
    color: #0b057a !important;
    font-weight: bold;
}

.dropdown-toggle:hover {
    border-radius: 4px !important;
}

.navbar-custom-menu>.navbar-nav>li>.dropdown-menu {
    border-bottom: 5px solid #0b057a;
}

.skin-blue .main-header .navbar .nav>li>a:hover {
    background-color: #0b057a;
    color: #fff !important;
}

.skin-blue .treeview-menu>li>a {
    padding-left: 25px;
}

.box {
    border-top: 4px solid #0b057a;
}

input.form-control,
textarea.form-control {
    position: relative;
    border-radius: 0;
    padding: 19px 12px;
    /* border-right: 1px solid #0b057a; */
    font-size: 15px;
    border-radius: 10px;
    border: 2px solid #ccc;
}

.btn-primary,
.btn-success,
.btn-warning {
    background-color: #0b057a !important;
    border: 0;
    transition: .3s;
}

.btn-primary:hover,
.btn-success:hover,
.btn-warning:hover {
    background-color: #478dc9 !important;
}

.skin-blue .user-panel {
    padding: 15px;
}

.user-panel {
    padding-bottom: 0 !important;
    display: flex;
    flex-direction: column;
    text-align: center;
}

.user-panel .avatar {
    text-align: center;
    padding: 2%;
}

.user-panel .pull-left p {
    color: #fff;
}

.user-panel .avatar img {
    background-color: #fff;
    width: 40%;
    height: 11vh;
    border-radius: 50%;
}

.skin-blue .user-panel>.info, .skin-blue .user-panel>.info>a {
    color: #6e5454 !important;
}

.skin-blue .main-header .logo:hover {
    background-color: none !important;
}


label {
    font-size: 15px;
    font-weight: bold;
}

.userForm .btn {
    border-radius: 25px;
    display: block;
}

.navbar-nav>.user-menu>.dropdown-menu>.user-footer .btn-default {
    font-size: 14px;
    border-radius: 25px;
    transition: .3s;
    background-color: #0b057a;
    color: #fff !important;
    font-weight: normal;
}

.navbar-nav>.user-menu>.dropdown-menu>.user-footer .btn-default:hover {
    background-color: #0b057a;
}

.sidebar-menu>li {
    font-size: 14px;
}

.content-header .dashboard-page-title,
.content-header .dashboard-page-title i {
    color: #0b057a !important;

}

.content-header .dashboard-page-title {
    font-size: 30px !important;
    margin: 0 5% !important;
    margin-bottom: 15px !important;

}

.box-header.with-border {
    padding: 15px;

}

.box-header.with-border h3 {
    font-weight: bold;
    font-size: 20px;
    color: #367fa9;
}

.box-header.with-border .btn {
    border-radius: 25px;
    transition: .3s;
}

.manage-button {
    position: relative;
}

.manage-button .btn {
    border-radius: 0;
    transition: .3s;
}


.manage-button ul.dropdown-menu {
    left: -100px;
    top: -88px;
    border-radius: 5px;
    transition: .3s;
    border: 0;
    border: 2px solid #ccc;

}

.manage-button ul.dropdown-menu a {
    transition: .1s;
    padding: 3px 10px;
    font-size: 15px;
}

.manage-button ul.dropdown-menu a:hover {}

.skin-blue .sidebar-menu>li>.treeview-menu {
    padding: 10px 0;
    background-color: #ecf0f5;
    margin: 0;
}


.skin-blue .sidebar-menu>li>.treeview-menu a:hover {
    font-weight: bold !important;
}

.sidebar {
    margin-top: 10px;
}


.content-header>h1 {
    margin-bottom: 15px !important;
    font-size: 30px !important;
    font-weight: bold;
}

.btn {
    transition: .3s;
}

label.error {
    color: #f14f32;
    font-weight: 500;
}

input.error {
    border: 1px solid #f14f32;
}

.invalid-feedback {
    color: #f14f32;
}

.is-invalid {
    border: 1px solid #f14f32;
}

/* Delete Button Style  */
.manage-button ul.dropdown-menu button {
    border: none !important;
    outline: 0;
    width: 100%;
    transition: .1s;
    padding: 3px 15px;
    font-size: 15px;
    text-align: left !important;
    color: #555;
    background-color: #fff;
}

.manage-button ul.dropdown-menu button:hover {
    background-color: #0b057a;
    color: #fff;
}

.main-footer {
    background-color: #fff;
    color: #222d32;
}

.main-footer .fa-heart {
    animation: heartBeat 1s ease infinite;
}

@keyframes heartBeat {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.2);
    }

    100% {
        transform: scale(1);
    }
}

.pace .pace-progress {
    height: 5px !important;
    background-color: #0b057a !important;
}

.pace .pace-activity {
    width: 25px !important;
    height: 25px !important;
    border-top-color: #0b057a !important;
    border-left-color: #0b057a !important;
    border-width: 4px !important;
}


.box-header.with-border {
    padding: 15px;
    display: flex;
    justify-content: right;
    align-items: center;
    flex-wrap: wrap;
    padding: 5px 15px;
}

.box .button-page-header {
    margin: 5px;
}

.box .box-title {
    flex: 1;
}


.select2-container--default .select2-selection--single, .select2-selection .select2-selection--single {
    text-align: left !important;
    padding: 7px 10px
}

.select2-container--default .select2-search--dropdown .select2-search__field {
    text-align: left !important;
    padding: 7px 10px
}

.select2-results__option[aria-selected] {
    text-align: left !important;
    padding: 8px 20px;
}

.select2-container--default .select2-selection--single, .select2-selection .select2-selection--single {
    padding: 3px 12px !important;
}

.select2-container .select2-selection--single .select2-selection__rendered {
    margin-top: 1px !important;
}

.select2-container--default .select2-selection--single, .select2-selection .select2-selection--single {
    height: 38px !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 32px !important;
    right: 5px !important;
}

.select2-container--default .select2-results>.select2-results__options {
    border: 2px solid #eee !important;
    border-bottom: 4px solid #0b057a !important;
    border-right: 2px solid #eee !important;
    border-top: 2px solid #ccc !important;
    border-left: 2px solid #eee !important;

}

input[type="time"] {
    text-align: right !important;
}


.skin-blue .wrapper, .skin-blue .main-sidebar, .skin-blue .left-side {
    background-color: #fff;

}

.select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: #0b057a;
    color: #fff !important;
}

div.dataTables_wrapper div.dataTables_processing {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 200px;
    margin-left: -100px;
    margin-top: -26px;
    text-align: center;
    background-color: #0b057a;
    color: #fff;
    padding: 1em 0;
    border-radius: 5px;
    font-weight: bold;
}

table.dataTable {
    width: 100% !important;
}

table.table-bordered.dataTable tbody th, table.table-bordered.dataTable tbody td {
    padding: 15px !important;
}

::-webkit-scrollbar {
    width: 8px;
}

::-webkit-scrollbar-thumb {
    background-color: #0b057a !important;
}

.permission-cell {
    text-align: left !important;
}

.content-wrapper {
    border-radius: 4px;
}

.logo {
    border-radius: 10px !important;
    max-width: 17vw !important;
}

.display_none {
    position: absolute;
    opacity: 0;
}

.max_width {
    width: 40vh !important;
}

.margintop {
    margin-top: 5rem !important;
}

@media (max-width: 768px) {
    /* For tablets: */

    .skin-blue .main-header .navbar .sidebar-toggle {
        margin-top: 1% !important;
    }

    .sidebar {
        max-width: 100%;
        min-width: 10vw !important;
    }

    .sidebar p {
        font-size: 1.1rem !important;
    }

    .avatar {
        max-width: 100%;
    }

    .col-margin {
        margin: 0;
    }

    .logo {
        max-width: 29vw !important;
    }

    .content-header .dashboard-page-title {
        font-size: 27px !important;
        margin-top: 15px !important;
    }

    .user-panel .avatar img {
        background-color: #fff;
        width: 55%;
        height: 9vh;
        border-radius: 50%;
    }

    .pull-right {
        display: inline-block !important;
    }
}

@media (max-width: 425px) {

    /* For mobile phones: */
    .display_none {
        position: relative;
        opacity: 1;
        margin-top: 0;
    }

    .pull-right {
        display: inline-block !important;
    }

    .margintop {
        margin-top: 0rem !important;
    }

    .sidebar-mini.sidebar-collapse .main-header .navbar {
        margin: 0 0px !important;
        max-height: 9vh !important;
    }


    .user-panel .avatar img {
        background-color: #fff;
        width: 35%;
        height: 7vh;
        border-radius: 50%;
    }

    .content-header .dashboard-page-title {
        font-size: 25px !important;
        margin-top: 15px !important;
    }

    .logo {
        max-width: 97vw !important;
    }

    .sidebar-toggle {
        margin: 0 2% 2% 2%;
    }

}
